Package twisted :: Package im :: Module basesupport :: Class AbstractPerson

[frames | no frames]

## Class AbstractPerson

Known Subclasses:
  `IRCPerson`, `TOCPerson`, `TwistedWordsPerson`

Method Summary
| `__init__(self, name, baseAccount)`
| `__repr__(self)`
| `__str__(self)`
| ``getIdleTime`(self)` Returns a string.
| ``getPersonCommands`(self)` finds person commands

Method Details

### getIdleTime(self)

Returns a string.

### getPersonCommands(self)

finds person commands

these commands are methods on me that start with imperson_; they are called with no arguments

Generated by Epydoc 2.0 on Sat May 15 20:08:32 2004 | http://epydoc.sf.net